{% set sysma_object_id = OP.sysma_object_id %}
{% include('sysma-object/sysmaObjectBackButton.twig') %}


<h2>Modification d'un objet photo</h2>


<form method="post" action="#" id="{{ 'formPhoto' ~ OP.sysma_object_id }}">

    {% if OP.photo_type != 'photo_upload' %}

        <div class='form-group'>
            <label>Numéro</label>
            <input name="photo_id" value="{{ OP.photo_id }}" class="form-control" required="required" type="number" />
        </div>
       

    {% else %}

         <div class='form-group'>
            <label>Titre (optionnel)</label>
            <input name="photo_title" value="{{ OP.photo_title }}" class="form-control" />
        </div>
          <div class='form-group'>
            <label>Date (optionnel)</label>
            <input name="photo_date" value="{{ OP.photo_date }}"  type="date" class="form-control" />
        </div>

    {% endif %}

    <div class='form-group'>
        <label>Ordre</label>
        <input name="display_order" value="{{ OP.display_order }}" class="form-control" required="required" type="number" />
    </div>


    <div class='form-group'>
        <label>Avant / pendant / après (optionnel) </label>

        <select name="before_after" class='form-control'>
            <option value=""
                    {% if OP.before_after == '' %} selected=selected {% endif %}
                    >
            </option>
            <option value="before"
                    {% if OP.before_after == 'before' %} selected=selected {% endif %}
                    >Photo avant intervention</option>
            <option value="during"
                    {% if OP.before_after == 'during' %} selected=selected {% endif %}
                    >Photo pendant intervention</option>
            <option value="after"
                    {% if OP.before_after == 'after' %} selected=selected {% endif %}
                    >Photo après intervention</option>


        </select>
    </div>

    <button  id="boutonModifierObjet"  class="btn btn-primary" 
             onclick="sendFormAndRedirectAndMove('formPhoto{{ OP.sysma_object_id }}', '{{url('photo-object-update-commit')}}', 'id={{sysma_object_id}}&id_PhotoObject={{OP.photo_object_id}}', '{{url('object')}}', 'objet', event, 'PhotoObject{{OP.photo_object_id}}');">
        Corriger</button>


    <input name="sysma_object_id" value="{{OP.sysma_object_id}}" type="hidden" />
    <input name="photo_object_id" value="{{ OP.photo_object_id }}" type="hidden" />


</form>



<h2 class="text-danger">Suppression de l'objet photo</p>

<form method="post" action="{{ url('photo-object-delete') }}" id="formSupprPhoto{{OP.photo_object_id}}">
    <input type="submit" id="boutonSupprimersysma_object" value="Supprimer" class="btn btn-danger"
           onclick="if (!confirm('Voulez-vous supprimer cet objet photo ?'))
                       return false;
                   sendFormAndRedirect('formSupprPhoto{{ OP.photo_object_id }}', '{{ url('photo-object-delete') }}', 'id={{ sysma_object_id }}', '{{ url('object') }}', 'objet', event);">
    <input type="hidden" value="supprimer-sysma_object-photo" name="action" />
    <input type="hidden" value="{{OP.photo_object_id}}" name="photo_object_id" />
</form>
